%global _empty_manifest_terminate_build 0
Name:		python-hatch
Version:	1.7.0
Release:	1
Summary:	A modern, extensible Python project manager.
License:	MIT
URL:		https://github.com/pypa/hatch
Source0:	https://files.pythonhosted.org/packages/5a/ff/d0dc75f39798af1d3d2258c82c5fdeca2817cbfadba7c41e8fb7cf0db984/hatch-1.7.0.tar.gz
BuildArch:	noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:	python3-pbr
BuildRequires:	python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-hatchling

%description
Hatch is a modern, extensible Python project manager.

%package -n python3-hatch
Summary:	A modern, extensible Python project manager.
Provides:	python-hatch
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-hatchling
%description -n python3-hatch
Hatch is a modern, extensible Python project manager.

%package help
Summary:	Development documents and examples for hatch
Provides:	python3-hatch-doc

%description help
Development documents and examples for hatch.

%prep
%autosetup -n hatch-%{version}
sed -i 's/\~=/\>=/g' pyproject.toml

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/doclist.lst .

%files -n python3-hatch
%doc README.md
%license LICENSE.txt
%{_bindir}/hatch
%{python3_sitelib}/hatch
%{python3_sitelib}/hatch*.dist-info/


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Nov 29 2023 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 1.7.0-1
- Init package
